Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2012-02-27 05:13:07 +0400
committerJunio C Hamano <gitster@pobox.com>2012-02-27 05:39:04 +0400
commit80809062452a65146d73ae483415acbc737fabf1 (patch)
treed5b65e07896705f4dda05424a324fd455519d865 /t/t4150-am.sh
parentba998d33e22d6fce4445af5834dc227609672501 (diff)
parent62ed0728fe52312f270760187b3280bc51b6c2f0 (diff)
Merge branch 'maint'
* maint: Document accumulated fixes since 1.7.9.2 Git 1.7.8.5 grep -P: Fix matching ^ and $ am: don't infloop for an empty input file rebase -m: only call "notes copy" when rewritten exists and is non-empty git-p4: remove bash-ism in t9800 git-p4: remove bash-ism in t9809 git-p4: fix submit regression with clientSpec and subdir clone git-p4: set useClientSpec variable on initial clone Makefile: add thread-utils.h to LIB_H Conflicts: RelNotes t/t9809-git-p4-client-view.sh
Diffstat (limited to 't/t4150-am.sh')
-rwxr-xr-xt/t4150-am.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/t/t4150-am.sh b/t/t4150-am.sh
index f1b60b8560..6f77fffee6 100755
--- a/t/t4150-am.sh
+++ b/t/t4150-am.sh
@@ -505,4 +505,14 @@ test_expect_success 'am -q is quiet' '
! test -s output.out
'
+test_expect_success 'am empty-file does not infloop' '
+ rm -fr .git/rebase-apply &&
+ git reset --hard &&
+ touch empty-file &&
+ test_tick &&
+ { git am empty-file > actual 2>&1 && false || :; } &&
+ echo Patch format detection failed. >expected &&
+ test_cmp expected actual
+'
+
test_done